Main Page Groups Namespaces

# method_slot.h File Reference

## Namespaces
namespace | SigC
## Functions
template<class T_return, class T_obj>
Slot1< T_return, T_obj& > | SigC::slot (T_return(T_obj::* _A_func)())
| Creates a functor of type Sigc::Slot1 that wraps a method.
template<class T_return, class T_arg1, class T_obj>
Slot2< T_return, T_obj&, T_arg1 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1))
| Creates a functor of type Sigc::Slot2 that wraps a method.
template<class T_return, class T_arg1, class T_arg2, class T_obj>
Slot3< T_return, T_obj &, T_arg1, T_arg2 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type Sigc::Slot3 that wraps a method.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_obj>
Slot4< T_return, T_obj &, T_arg1, T_arg2, T_arg3 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type Sigc::Slot4 that wraps a method.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_obj>
Slot5< T_return, T_obj &, T_arg1, T_arg2, T_arg3, T_arg4 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type Sigc::Slot5 that wraps a method.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_obj>
Slot6< T_return, T_obj &, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type Sigc::Slot6 that wraps a method.
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_obj>
Slot7< T_return, T_obj &, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | SigC::slot (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type Sigc::Slot7 that wraps a method.